Skip to main content
`Ctrl`+`K`

# PCMGGetInjection

Gets the function to be used to inject primal vectors (i.e. solutions) from level l to l-1.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetInjection(PC pc, PetscInt l, Mat *mat)

Logically Collective

## Input Parameters

- pc - the multigrid context

- l - the level (0 is coarsest) to supply [Do not supply 0]

## Output Parameter

- mat - the restriction matrix (may be `NULL` if no injection is available).

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetInjection()`, `PCMGetGetRestriction()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages